### Property

# Ide TreeModel:kind

#### Declaration

    property kind: utf8 [ read, write ]

#### Description

The “kind” property is used to determine what `IdeTreeAddin` plugins to load. Only plugins which match the “kind” will be loaded to extend the tree contents.

For example, to extend the project-tree, plugins should set “X-Tree-Kind=project-tree” in their .plugin manifest.

Type: | `gchar*`
Available since: | 3.32

Setter method | `ide_tree_model_set_kind()`
Getter method | `ide_tree_model_get_kind()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no